
Redmine - Defect #1089

attachement's name maybe invalid.

2008-04-23 03:24 - 延平 贾

Status: Closed Start date: 2008-04-23

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Attachments Estimated time: 0.00 hour

Target version: 0.7.2   

Resolution: Fixed Affected version:  

Description

OS: windows

Lang: Chinese

When I uploaded a file with Chinese name, the file saved in Redmine/files directory has a unreadable name, and with some special

word, it will failed.

I have a patch to avoid the failing,but the file name in Redmine/files will unreadable.

Index: D:/RedMine/app/models/attachment.rb

===================================================================

--- D:/RedMine/app/models/attachment.rb    (revision 1339)

+++ D:/RedMine/app/models/attachment.rb    (working copy)

@@ -40,7 +40,7 @@

       @temp_file = incoming_file

       if @temp_file.size > 0

         self.filename = sanitize_filename(@temp_file.original_filename)

-        self.disk_filename = DateTime.now.strftime("%y%m%d%H%M%S") + "_" + self.filename

+        self.disk_filename = DateTime.now.strftime("%y%m%d%H%M%S") + "_" + Digest::MD5.hexdigest(

self.filename)

         self.content_type = @temp_file.content_type.to_s.chomp

         self.filesize = @temp_file.size

       end

Related issues:

Has duplicate Redmine - Defect #1243: Uploading of attachment with Non-ascii ... Closed 2008-05-15

Has duplicate Redmine - Defect #747: Uploadfile error ?! Closed 2008-02-28

Associated revisions

Revision 1433 - 2008-05-17 13:03 - Jean-Philippe Lang

Fixed: possible error when attachment's filename is non-ASCII (#747, #1243, #1089).

History

#1 - 2008-04-23 03:26 - 延平 贾

And thanks for your great software, sorry for my poor english.

#2 - 2008-05-17 13:02 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.7.2

- Resolution set to Fixed

Fixed in r1433. Filename will be hashed if needed.
